<?php
//++
//include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
//include("SimpleXLSX.php");
//++
function XLSX_LISTA($ACTUALIZAR){
	if(strlen($ACTUALIZAR)==0){
		$ACTUALIZAR="NO";
	}
	//
	$OPE_ALT=1;
	$OPE_REN=2;
	$OPE_POR=3;
	$PLAZO=18;
	//
	if(!file_exists("listas/lista.xlsx")){
		return "El archivo lista.xlsx no se encuentra";
	}
	if($xlsx=SimpleXLSX::parse('listas/lista.xlsx')) {
		//
		$MIL=3000;
		$CIE=100;
		$CX=0;
		//
		/*
		POST
			RENO. EXCLUSIVA
			PORTA. EXCLUSIVA
		*/
		//
		$hojas=$xlsx->sheetNames();
		$H0=trim(strtoupper($hojas[0]));
		$H1=trim(strtoupper($hojas[1]));
		$H2=trim(strtoupper($hojas[2]));
		$H3=trim(strtoupper($hojas[3]));
		$H4=trim(strtoupper($hojas[4]));
		$H5=trim(strtoupper($hojas[5]));
		$H6=trim(strtoupper($hojas[6]));
		if( ($H0==TU("Resumen") && 
			$H1==TU("Hoja1") && 
			$H2==TU("Renovacion Exclusiva") && 
			$H3==TU("Portabilidad Exclusiva") &&
			$H4==TU("Porta & Reno Prepago") &&
			$H5==TU("Prepago & Alta Regular") &&
			$H6==TU("Modem - Router"))
			){
			$TODO_OK=1;
			ejt("DELETE FROM lista_pos");
			ejt("DELETE FROM lista_pre");
		}else{
			return "El archivo seleccionado no corresponde";
		}
		//
		if($TODO_OK==1){
			//RENO EXCLUSIVA
			$HOJA=$xlsx->rows(2);
			//
			for($f=9;$f<=$MIL;$f++){
				$DES=trim($HOJA[$f][1]);
				if(strlen($DES)>0){
					$LP_PRO_ID=LP_PRO_GET_ID($DES,$ACTUALIZAR);
					if($LP_PRO_ID>0){
						for($c=3;$c<=$CIE;$c++){
							$PLA=trim($HOJA[8][$c]);
							if(strlen($PLA)>0){
								$PLA=explode("/",$PLA);
								$PLA=trim($PLA[0]);
								$PLA_ID=LP_PLN_GET_ID($PLA,$ACTUALIZAR);
								if($PLA_ID>0){								
									$PRE=trim($HOJA[$f][$c]);
									$PRE_=vbval($PRE);
									$CX++;
									$s="INSERT INTO lista_pos 
										VALUES ($CX,$OPE_REN,$LP_PRO_ID,$PLA_ID,$PRE_,$PLAZO,'A')";
									ejt($s);
								}
							}else{
								break;
							}
						}
					}
				}				
			}
			//PORTA EXCLUSIVA
			$HOJA=$xlsx->rows(3);
			//
			for($f=9;$f<=$MIL;$f++){
				$DES=trim($HOJA[$f][1]);
				if(strlen($DES)>0){
					$LP_PRO_ID=LP_PRO_GET_ID($DES,$ACTUALIZAR);
					if($LP_PRO_ID>0){
						for($c=3;$c<=$CIE;$c++){
							$PLA=trim($HOJA[8][$c]);
							if(strlen($PLA)>0){
								$PLA=explode("/",$PLA);
								$PLA=$PLA[0];
								$PLA_ID=LP_PLN_GET_ID($PLA,$ACTUALIZAR);
								if($PLA_ID>0){	
									$PRE=trim($HOJA[$f][$c]);
									$PRE_=vbval($PRE);
									$CX++;
									$s="INSERT INTO lista_pos 
										VALUES ($CX,$OPE_POR,$LP_PRO_ID,$PLA_ID,$PRE_,$PLAZO,'A')";
									ejt($s);
								}
							}else{
								break;
							}
						}
					}
				}				
			}
			//ALTA POSTPAGO
			$HOJA=$xlsx->rows(5);			
			//
			for($f=9;$f<=$MIL;$f++){
				$DES=trim($HOJA[$f][1]);
				if(strlen($DES)>0){
					$LP_PRO_ID=LP_PRO_GET_ID($DES,$ACTUALIZAR);
					if($LP_PRO_ID>0){
						for($c=4;$c<=$CIE;$c++){
							$PLA=trim($HOJA[8][$c]);
							if(strlen($PLA)>0){
								$PLA=explode("/",$PLA);
								$PLA=$PLA[0];
								$PLA_ID=LP_PLN_GET_ID($PLA,$ACTUALIZAR);
								if($PLA_ID>0){	
									$PRE=trim($HOJA[$f][$c]);
									$PRE_=vbval($PRE);
									$CX++;
									$s="INSERT INTO lista_pos 
										VALUES ($CX,$OPE_ALT,$LP_PRO_ID,$PLA_ID,$PRE_,$PLAZO,'A')";
									ejt($s);
								}
							}else{
								break;
							}
						}
					}
				}				
			}
			//PORTA-RENO PREPAGO
			$HOJA=$xlsx->rows(4);
			//
			for($f=12;$f<=$MIL;$f++){
				$DES=trim($HOJA[$f][2]);
				if(strlen($DES)>0){
					$LP_PRO_ID=LP_PRO_GET_ID($DES,$ACTUALIZAR);
					if($LP_PRO_ID>0){
						$PRE=$HOJA[$f][3];
						$PRE_=vbval($PRE);			
						$CX++;
						$s="INSERT INTO lista_pre VALUES ($CX,$OPE_REN,$LP_PRO_ID,$PRE_,'A')";
						ejt($s);
						//
						$CX++;
						$s="INSERT INTO lista_pre VALUES ($CX,$OPE_POR,$LP_PRO_ID,$PRE_,'A')";
						ejt($s);
					}
				}				
			}
			//ALTA PREPAGO
			$HOJA=$xlsx->rows(5);
			//
			for($f=9;$f<=$MIL;$f++){
				$DES=trim($HOJA[$f][1]);
				if(strlen($DES)>0){
					$LP_PRO_ID=LP_PRO_GET_ID($DES,$ACTUALIZAR);
					if($LP_PRO_ID>0){
						$PRE=$HOJA[$f][3];
						$PRE_=vbval($PRE);			
						$CX++;
						$s="INSERT INTO lista_pre VALUES ($CX,$OPE_ALT,$LP_PRO_ID,$PRE_,'A')";
						ejt($s);
					}
				}				
			}
			//								
		}
		return "OK";
	}else{
		//echo SimpleXLSX::parseError();
		return "ERROR";
	}
}
//->OK
//XLSX_LISTA("SI");
?>